吐槽下WordPress的编辑器

反正我一直觉得WordPress自带的编辑器对于我这种程序员来说简直是反人类,想贴个代码都是一件很麻烦的事,看更新日志,貌似官方对于WordPress程序中对Markdown的支持只有一部分,并不是完整的支持,想要完整的体验,还是需要自己想办法通过插件支持,这都算了,要是有好用的插件我也就忍了,问题是找来找去都没找着趁手的Markdown插件。

自从这些文章搬运过来之后,我一直用的WP Editor.md这个插件,之前一直用得好好的,但是隔三差五跑版本号之后,体验却越来越差,顶端的一项提示莫名其妙老是跑出来,找遍所有设置都没办法关闭,我知道你好用,但是没必要这么出来找存在感吧?
WP Editor.md
我不知道是作者故意设置成这样的,还是又是个bug待修复,但是,这提示在后台每个页面都出现,还无法彻底关闭,这点我实在忍受不了,虽然这个插件自称最好的Markdown编辑器,但我还是把它给禁用了。

作为一个最流行的博客平台,WordPress竟然没有对Markdown的完整支持,我实在是搞不懂WP官方的想法,你们这是想干啥子?想让用户都到wordpress.com去么?对于一个程序员来说Markdown是多方便的事,作为WP开发官方不应该不了解吧,有多少程序员在使用WP,官方应该也多少有点底吧?

实在是忍不住想吐槽WordPress这点。

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注